Index: /extensions/ASearchEngine/admin.php
===================================================================
--- /extensions/ASearchEngine/admin.php	(revision 15360)
+++ /extensions/ASearchEngine/admin.php	(revision 15360)
@@ -0,0 +1,29 @@
+<?php
+/* -----------------------------------------------------------------------------
+  Plugin     : Advanced Search Engine
+  Author     : Grum
+    email    : grum@piwigo.org
+    website  : http://photos.grum.fr
+
+    << May the Little SpaceFrog be with you ! >>
+  ------------------------------------------------------------------------------
+  See main.inc.php for release information
+
+  --------------------------------------------------------------------------- */
+
+if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }
+
+include(ASE_PATH."ase_aip.class.inc.php");
+
+global $prefixeTable, $template;
+
+load_language('plugin.lang', ASE_PATH);
+load_language('rbuilder.lang', GPC_PATH);
+
+$main_plugin_object = get_plugin_data($plugin_id);
+
+
+$plugin_aip = new ASE_AIP($prefixeTable, $main_plugin_object->getFileLocation());
+$plugin_aip->manage();
+
+?>
Index: tensions/ASearchEngine/admin/plugin_admin.php
===================================================================
--- /extensions/ASearchEngine/admin/plugin_admin.php	(revision 15359)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<?php
-/* -----------------------------------------------------------------------------
-  Plugin     : Advanced Search Engine
-  Author     : Grum
-    email    : grum@piwigo.org
-    website  : http://photos.grum.fr
-
-    << May the Little SpaceFrog be with you ! >>
-  ------------------------------------------------------------------------------
-  See main.inc.php for release information
-
-  --------------------------------------------------------------------------- */
-
-if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }
-
-include(ASE_PATH."ase_aip.class.inc.php");
-
-global $prefixeTable, $template;
-
-load_language('plugin.lang', ASE_PATH);
-load_language('rbuilder.lang', GPC_PATH);
-
-$main_plugin_object = get_plugin_data($plugin_id);
-
-
-$plugin_aip = new ASE_AIP($prefixeTable, $main_plugin_object->getFileLocation());
-$plugin_aip->manage();
-
-?>
Index: /extensions/ASearchEngine/ase_aip.class.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_aip.class.inc.php	(revision 15359)
+++ /extensions/ASearchEngine/ase_aip.class.inc.php	(revision 15360)
@@ -39,8 +39,8 @@
     $this->tabsheet->add('search',
                           l10n('ase_search'),
-                          $this->getAdminLink()."&amp;fASE_tabsheet=search");
+                          $this->getAdminLink()."-search");
     $this->tabsheet->add('config',
                           l10n('ase_config'),
-                          $this->getAdminLink()."&amp;fASE_tabsheet=config");
+                          $this->getAdminLink()."-config");
   }
 
@@ -58,5 +58,5 @@
     parent::initEvents();
 
-    if($_REQUEST['fASE_tabsheet']=='search')
+    if($_GET['tab']=='search')
     {
       // load request builder JS only on the search page
@@ -78,5 +78,5 @@
     $template->set_filename('plugin_admin_content', dirname(__FILE__)."/admin/ase_admin.tpl");
 
-    switch($_REQUEST['fASE_tabsheet'])
+    switch($_GET['tab'])
     {
       case 'search':
@@ -88,5 +88,5 @@
     }
 
-    $this->tabsheet->select($_REQUEST['fASE_tabsheet']);
+    $this->tabsheet->select($_GET['tab']);
     $this->tabsheet->assign();
     $selected_tab=$this->tabsheet->get_selected();
@@ -94,5 +94,5 @@
 
     $template_plugin["ASE_VERSION"] = "<i>".$this->getPluginName()."</i> ".l10n('ase_release').ASE_VERSION;
-    $template_plugin["ASE_PAGE"] = $_REQUEST['fASE_tabsheet'];
+    $template_plugin["ASE_PAGE"] = $_GET['tab'];
     $template_plugin["ASE_TITLE"] = "";
 
@@ -118,12 +118,12 @@
     if(!isset($_REQUEST['errcode'])) $_REQUEST['errcode']='';
 
-    if(!isset($_REQUEST['fASE_tabsheet']))
-    {
-      $_REQUEST['fASE_tabsheet']="search";
-    }
-
-    if(!($_REQUEST['fASE_tabsheet']!="search" or
-         $_REQUEST['fASE_tabsheet']!="config"
-         )) $_REQUEST['fASE_tabsheet']="search";
+    if(!isset($_GET['tab']))
+    {
+      $_GET['tab']="search";
+    }
+
+    if(!($_GET['tab']!="search" or
+         $_GET['tab']!="config"
+         )) $_GET['tab']="search";
   }
 
Index: /extensions/ASearchEngine/ase_install.class.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_install.class.inc.php	(revision 15359)
+++ /extensions/ASearchEngine/ase_install.class.inc.php	(revision 15360)
@@ -84,6 +84,7 @@
       GPCRequestBuilder::register('ASECategory', dirname($this->getFileLocation()).'/ase_rb_callback_category.class.inc.php');
       GPCRequestBuilder::register('ASEKeyword', dirname($this->getFileLocation()).'/ase_rb_callback_keyword.class.inc.php');
-      GPCRequestBuilder::register('ASEHD', dirname($this->getFileLocation()).'/ase_rb_callback_hd.class.inc.php');
       GPCRequestBuilder::register('ASERate', dirname($this->getFileLocation()).'/ase_rb_callback_rate.class.inc.php');
+
+      GPCRequestBuilder::unregister('ASEHD'); // need to be keeped to be able to unregister it...
       return('');
     }
@@ -95,6 +96,7 @@
       GPCRequestBuilder::unregister('ASECategory');
       GPCRequestBuilder::unregister('ASEKeyword');
-      GPCRequestBuilder::unregister('ASEHD');
       GPCRequestBuilder::unregister('ASERate');
+
+      GPCRequestBuilder::unregister('ASEHD'); // need to be keeped to be able to unregister it...
     }
 
Index: /extensions/ASearchEngine/ase_pip.class.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_pip.class.inc.php	(revision 15359)
+++ /extensions/ASearchEngine/ase_pip.class.inc.php	(revision 15360)
@@ -21,5 +21,5 @@
 class ASE_PIP extends ASE_root
 {
-  const SEARCH_SECTION = 'Search';
+  const SEARCH_SECTION = 'ASearch';
   protected $sectionPage;
   protected $css2;
@@ -28,5 +28,5 @@
   {
     parent::__construct($prefixeTable, $filelocation);
-    $this->css2 = new GPCCss(dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles()."2.css");
+    $this->css2 = new GPCCss(dirname($this->getFileLocation()).'/'.$this->getPluginNameFiles()."2.css",10);
     $this->loadConfig();
 
@@ -89,15 +89,19 @@
     $theme=$template->get_themeconf('name');
 
+    // css file for piwigo's default themes (provided by ASE)
     $file='plugins/ASearchEngine/themes/'.$theme.'/ASE'.$theme.'.css';
     if(($theme=='Sylvia' or
         $theme=='clear' or
-        $theme=='dark') and
-        file_exists(GPCCore::getPiwigoSystemPath().'/'.$file)) GPCCore::addHeaderCSS('ASE0', $file);
+        $theme=='dark' or
+        $theme=='elegant') and
+        file_exists(GPCCore::getPiwigoSystemPath().'/'.$file)) GPCCore::addHeaderCSS('ASE0', $file, 35);
 
+    // css file for ASE provided by themes
     $file='themes/'.$theme.'/css/ASE'.$theme.'.css';
-    if(file_exists(GPCCore::getPiwigoSystemPath().'/'.$file)) GPCCore::addHeaderCSS('ASE1', $file);
+    if(file_exists(GPCCore::getPiwigoSystemPath().'/'.$file)) GPCCore::addHeaderCSS('ASE1', $file, 40);
 
+    // css file for ASE provided in local directory
     $file=PHPWG_ROOT_PATH.PWG_LOCAL_DIR.'local/css/ASE'.$theme.'.css';
-    if(file_exists(GPCCore::getPiwigoSystemPath().'/'.$file)) GPCCore::addHeaderCSS('ASE2', $file);
+    if(file_exists(GPCCore::getPiwigoSystemPath().'/'.$file)) GPCCore::addHeaderCSS('ASE2', $file, 45);
   }
 
@@ -112,16 +116,4 @@
     $template->assign('TITLE', $page['title']);
 
-    if($template->get_themeconf('parent')=='gally-default')
-    {
-      $template->assign('PLUGIN_INDEX_ACTIONS' ,
-      '<li><a rel="nofollow" title="'.l10n('return to homepage').'" href="'.make_index_url().'" class="button" id="icon_home"></a></li>');
-    }
-    else
-    {
-      $template->assign('PLUGIN_INDEX_ACTIONS' ,
-      '<li><a href="'.make_index_url().'" title="'.l10n('return to homepage').'"><img src="'.$template->get_themeconf('icon_dir').'/home.png" class="button" alt="'.l10n('home').'"/></a></li>');
-    }
-
-
     $template->clear_assign(array('U_MODE_CREATED', 'U_MODE_POSTED'));
 
@@ -131,14 +123,14 @@
      */
 
-    $template->set_filename('main', dirname(__FILE__)."/templates/search_page.tpl");
+    $template->set_filename('ASEmain', dirname(__FILE__)."/templates/search_page.tpl");
 
     $template->assign('ase_search_page', GPCRequestBuilder::displaySearchPage($this->config['ase_publicAccess_allowedPlugins']));
 
-    $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_BEGIN', 'main');
+    $template->assign_var_from_handle('PLUGIN_INDEX_CONTENT_BEGIN', 'ASEmain');
   }
 
 
   /**
-   * replace the piwigo search.php url by ?/aSearch url
+   * replace the piwigo search.php url by ?/ASearch url
    */
   public function blockManagerApply($menu_ref_arr)
@@ -150,5 +142,5 @@
     {
       $block=$menu->get_block('mbMenu');
-      if(!is_null($block)) $block->data['search']['URL']=get_root_url().'?/'.self::SEARCH_SECTION;
+      if(!is_null($block)) $block->data['search']['URL']='./?/'.self::SEARCH_SECTION;
     }
   }
Index: tensions/ASearchEngine/ase_rb_callback_hd.class.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_rb_callback_hd.class.inc.php	(revision 15359)
+++ 	(revision )
@@ -1,183 +1,0 @@
-<?php
-/* -----------------------------------------------------------------------------
-  Plugin     : Advanced Search Engine
-  Author     : Grum
-    email    : grum@piwigo.org
-    website  : http://photos.grum.fr
-
-    << May the Little SpaceFrog be with you ! >>
-  ------------------------------------------------------------------------------
-  See main.inc.php for release information
-
-
-  --------------------------------------------------------------------------- */
-
-  if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-  include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCRequestBuilder.class.inc.php');
-
-load_language('plugin.lang', ASE_PATH);
-
-class RBCallBackASEHD extends GPCSearchCallback {
-
-  /**
-   * the getImageId returns the name of the image id attribute
-   * return String
-   */
-  static public function getImageId()
-  {
-    return("ase_pith.id");
-  }
-
-  /**
-   * the getSelect function must return an attribute list separated with a comma
-   *
-   * "att1, att2, att3, att4"
-   */
-  static public function getSelect($param="")
-  {
-    $returned=" ase_pith.has_high AS hasHigh";
-    return($returned);
-  }
-
-  /**
-   * the getFrom function must return a tables list separated with a comma
-   *
-   * "table1, (table2 left join table3 on table2.key = table3.key), table4"
-   */
-  static public function getFrom($param="")
-  {
-    global $prefixeTable;
-
-    return(IMAGES_TABLE." ase_pith ");
-  }
-
-  /**
-   * the getWhere function must return a ready to use where clause
-   *
-   * "(att1 = value0 OR att2 = value1) AND att4 LIKE value2 "
-   */
-  static public function getWhere($param="")
-  {
-    global $user;
-
-
-    if($param['withHD']=='y')
-    {
-      $returned=" ase_pith.has_high=true ";
-    }
-    else
-    {
-      $returned=" ase_pith.has_high=false OR ase_pith.has_high IS NULL ";
-    }
-
-    return($returned);
-  }
-
-
-  /**
-   * the getJoin function must return a ready to use where allowing to join the
-   * IMAGES table (key : id) with given conditions
-   *
-   * "att3 = pit.id "
-   */
-  static public function getJoin($param="")
-  {
-    return("ase_pith.id = pit.id");
-  }
-
-
-  /**
-   * the getFilter function must return a ready to use where clause
-   * this where clause is used to filter the cache when the used tables can
-   * return more than one result
-   *
-   * the filter can be empty, can be equal to the where clause, or can be equal
-   * to a sub part of the where clause
-   *
-   */
-  static public function getFilter($param="")
-  {
-    return("");
-  }
-
-  /**
-   * this function is called by the request builder, allowing to display plugin
-   * data with a specific format
-   *
-   * @param Array $attributes : array of ('attribute_name' => 'attribute_value')
-   * @return String : HTML formatted value
-   */
-  static public function formatData($attributes)
-  {
-    /* attributes is an array :
-     *    Array(
-     *      'csColors' => 'color1,color2,color3,...,colorN',
-     *      'csColorsPct' => 'pct1,pct2,pct3,...,pctN'
-     *    );
-     */
-    $returned="<span style='font-weight:bold;'>".l10n('ase_the_picture_has_HD')."</span>&nbsp;:&nbsp;";
-
-    if($returned['hasHigh']==true)
-    {
-      $returned.=l10n('ase_y');
-    }
-    else
-    {
-      $returned.=l10n('ase_n');
-    }
-
-    return($returned);
-  }
-
-
-
-  /**
-   * this function is called by the request builder to make the search page, and
-   * must return the HTML & JS code of the dialogbox used to select criterion
-   *
-   * Notes :
-   *  - the dialogbox is a JS object with a public method 'show'
-   *  - when the method show is called, one parameter is given by the request
-   *    builder ; the parameter is an object defined as this :
-   *      {
-   *        cBuilder: an instance of the criteriaBuilder object used in the page,
-   *        eventOK : a callback function, called when the OK button is pushed
-   *        id:
-   *      }
-   *
-   *
-   *
-   *
-   * @param String $mode : can take 'admin' or 'public' values, allowing to
-   *                       return different interface if needed
-   * @return String : HTML formatted value
-   */
-  static public function getInterfaceContent($mode='admin')
-  {
-    return(ASE_functions::dialogBoxASEHD());
-  }
-
-  /**
-   * this function returns the label displayed in the criterion menu
-   *
-   * @return String : label displayed in the criterions menu
-   */
-  static public function getInterfaceLabel()
-  {
-    return(l10n('ase_add_HD'));
-  }
-
-  /**
-   * this function returns the name of the dialog box class
-   *
-   * @return String : name of the dialogbox class
-   */
-  static public function getInterfaceDBClass()
-  {
-    return('dialogChooseASEHDBox');
-  }
-
-}
-
-?>
Index: /extensions/ASearchEngine/ase_rb_callback_rate.class.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_rb_callback_rate.class.inc.php	(revision 15359)
+++ /extensions/ASearchEngine/ase_rb_callback_rate.class.inc.php	(revision 15360)
@@ -37,5 +37,5 @@
   static public function getSelect($param="")
   {
-    return(" ase_pitn.average_rate AS averageRate");
+    return(" ase_pitn.rating_score AS averageRate");
   }
 
@@ -61,5 +61,5 @@
     global $user;
 
-    $returned=" ase_pitn.average_rate ";
+    $returned=" ase_pitn.rating_score ";
 
     switch($param['searchType'])
@@ -67,7 +67,4 @@
       case 'no':
         $returned.=" IS NULL ";
-        break;
-      case 'eq':
-        $returned.=" = '".$param['minValue']."' ";
         break;
       case 'bt':
Index: /extensions/ASearchEngine/ase_root.class.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_root.class.inc.php	(revision 15359)
+++ /extensions/ASearchEngine/ase_root.class.inc.php	(revision 15360)
@@ -191,18 +191,4 @@
     /**
      *  return all HTML&JS code necessary to display a dialogbox to choose
-     *  HD picture
-     */
-    static public function dialogBoxASEHD()
-    {
-      global $template;
-
-      $template->set_filename('ase_hd_choose',
-                    dirname(__FILE__).'/templates/ase_dialog_hd_choose.tpl');
-
-      return($template->parse('ase_hd_choose', true));
-    }
-
-    /**
-     *  return all HTML&JS code necessary to display a dialogbox to choose
      *  rate on picture
      */
Index: /extensions/ASearchEngine/ase_version.inc.php
===================================================================
--- /extensions/ASearchEngine/ase_version.inc.php	(revision 15359)
+++ /extensions/ASearchEngine/ase_version.inc.php	(revision 15360)
@@ -15,6 +15,6 @@
   if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-  define('ASE_VERSION',  '1.1.0');
-  define('ASE_VERSION2', '01.01.00');
-  define('ASE_GPC_NEEDED', '3.5.1');
+  define('ASE_VERSION',  '1.2.0');
+  define('ASE_VERSION2', '01.02.00');
+  define('ASE_GPC_NEEDED', '3.5.2');
 ?>
Index: /extensions/ASearchEngine/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/ASearchEngine/language/de_DE/plugin.lang.php	(revision 15359)
+++ /extensions/ASearchEngine/language/de_DE/plugin.lang.php	(revision 15360)
@@ -10,5 +10,4 @@
 $lang['ASECategory']="Erweiterte Suchmaschine - Kategorien";
 $lang['ASEKeyword']="Erweiterte Suchmaschine - Stichwörter";
-$lang['ASEHD']="Erweiterte Suchmaschine - HD Bilder";
 
 $lang['ase_search']='Suche';
@@ -23,5 +22,4 @@
 $lang['ase_add_date']="Fügt eine Zeitspanne hinzu";
 $lang['ase_add_keyword']="Fügt ein Stichwort hinzu";
-$lang['ase_add_HD']="Fügt die Anwesenheit eines HD Bildes hinzu";
 $lang['ase_add_rate']="Fügt eine Bewertung hinzu";
 $lang['ase_add_tag']="Fügt eine oder mehrere Tags hinzu";
@@ -31,5 +29,4 @@
 $lang['ase_choose_date']="Suche in einem bestimmten Zeitraum";
 $lang['ase_search_keyword']="Suchen Sie auf ein Stichwort";
-$lang['ase_search_HD']="Suchen Sie auf der Anwesenheit eines HD-Bild";
 $lang['ase_search_tags']="Suche nach Tags";
 $lang['ase_choose_rate']="Suche nach Bewertung";
@@ -85,8 +82,5 @@
 $lang['ase_search_hd']="HD Bilder suchen";
 
-$lang['ase_the_picture_has_HD']="Anwesenheit eines HD Bildes";
 $lang['ase_the_picture']="Bild";
-$lang['ase_picture_with_hd']="hat ein HD Bild";
-$lang['ase_picture_without_hd']="hat kein HD Bild";
 
 $lang['ase_the_rate']="Bewertung";
Index: /extensions/ASearchEngine/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/ASearchEngine/language/en_UK/plugin.lang.php	(revision 15359)
+++ /extensions/ASearchEngine/language/en_UK/plugin.lang.php	(revision 15360)
@@ -10,5 +10,4 @@
 $lang['ASECategory']="Advanced Search Engine - Categories";
 $lang['ASEKeyword']="Advanced Search Engine - Keywords";
-$lang['ASEHD']="Advanced Search Engine - HD Pictures";
 
 $lang['ase_search']='Search';
@@ -23,5 +22,4 @@
 $lang['ase_add_date']="Add a period";
 $lang['ase_add_keyword']="Add a keyword";
-$lang['ase_add_HD']="Add the presence of an HD picture";
 $lang['ase_add_rate']="Add a rate";
 $lang['ase_add_tag']="Add one or more tags";
@@ -31,5 +29,4 @@
 $lang['ase_choose_date']="Search over a given period";
 $lang['ase_search_keyword']="Search on a keyword";
-$lang['ase_search_HD']="Search on the presence of an HD picture";
 $lang['ase_search_tags']="Search by tags";
 $lang['ase_choose_rate']="Search by rate";
@@ -83,10 +80,6 @@
 $lang['ase_search_with_whole_words']="On whole words only";
 
-$lang['ase_search_hd']="Search HD pictures";
 
-$lang['ase_the_picture_has_HD']="Présence d'une photo HD";
 $lang['ase_the_picture']="Picture";
-$lang['ase_picture_with_hd']="have a HD picture";
-$lang['ase_picture_without_hd']="don't have a HD picture";
 
 $lang['ase_the_rate']="Rate";
@@ -100,5 +93,4 @@
 $lang['ase_is_greater_or_equal2']="is greater than or equal to"; // rate is greater or equal than ...
 $lang['ase_is_less_or_equal2']="is less than or equal to"; // rate is less or equal ...
-$lang['ase_is_equal2']="equals"; // rate equals...
 
 
Index: /extensions/ASearchEngine/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/ASearchEngine/language/fr_FR/plugin.lang.php	(revision 15359)
+++ /extensions/ASearchEngine/language/fr_FR/plugin.lang.php	(revision 15360)
@@ -10,5 +10,4 @@
 $lang['ASECategory']="Advanced Search Engine - Catégories";
 $lang['ASEKeyword']="Advanced Search Engine - Mots-clefs";
-$lang['ASEHD']="Advanced Search Engine - Photos HD";
 
 $lang['ase_search']='Rechercher';
@@ -23,5 +22,4 @@
 $lang['ase_add_date']="Ajouter une période";
 $lang['ase_add_keyword']="Ajouter un mot-clef";
-$lang['ase_add_HD']="Ajouter la présence d'une photo HD";
 $lang['ase_add_rate']="Ajouter une note";
 $lang['ase_add_tag']="Ajouter un ou des tags";
@@ -31,5 +29,4 @@
 $lang['ase_choose_date']="Recherche sur une période";
 $lang['ase_search_keyword']="Recherche sur un mot-clef";
-$lang['ase_search_HD']="Recherche sur la présence d'une photo HD";
 $lang['ase_search_tags']="Recherche par tags";
 $lang['ase_choose_rate']="Recherche par note";
@@ -83,10 +80,5 @@
 $lang['ase_search_with_whole_words']="Sur les mots entiers uniquement";
 
-$lang['ase_search_hd']="Recherche de photos HD";
-
 $lang['ase_the_picture']="La photo";
-$lang['ase_the_picture_has_HD']="Présence d'une photo HD";
-$lang['ase_picture_with_hd']="dispose d'une photo HD";
-$lang['ase_picture_without_hd']="ne dispose pas d'une photo HD";
 
 $lang['ase_the_rate']="La note";
@@ -100,5 +92,4 @@
 $lang['ase_is_greater_or_equal2']="est supérieure ou égale à"; // the rate is greater or equal than ...
 $lang['ase_is_less_or_equal2']="est inférieure ou égale à"; // the rate is less or equal ...
-$lang['ase_is_equal2']="est égale à"; // the rate is equal to ...
 
 
Index: /extensions/ASearchEngine/language/it_IT/description.txt
===================================================================
--- /extensions/ASearchEngine/language/it_IT/description.txt	(revision 15359)
+++ /extensions/ASearchEngine/language/it_IT/description.txt	(revision 15360)
@@ -1,1 +1,0 @@
-Motore per effettuare delle ricerche avanzate
Index: /extensions/ASearchEngine/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/ASearchEngine/language/lv_LV/plugin.lang.php	(revision 15359)
+++ /extensions/ASearchEngine/language/lv_LV/plugin.lang.php	(revision 15360)
@@ -11,5 +11,4 @@
 $lang['ASECategory']="Paplašinātās meklēšanas dzinis - Kategorijas";
 $lang['ASEKeyword']="Paplašinātās meklēšanas dzinis - Atslēgvārdi";
-$lang['ASEHD']="Paplašinātās meklēšanas dzinis - HD Attēli";
 
 $lang['ase_search']='Meklēt';
@@ -24,5 +23,4 @@
 $lang['ase_add_date']="Pievienot periodu";
 $lang['ase_add_keyword']="Pievienot atslēgvārdu";
-$lang['ase_add_HD']="Pievienot info par HD attēla klātbūtni";
 $lang['ase_add_rate']="Pievienot vērtējumu";
 $lang['ase_add_tag']="Pievienot vienu vai vairākas iezīmes";
@@ -32,5 +30,4 @@
 $lang['ase_choose_date']="Meklēt noteiktā laika periodā";
 $lang['ase_search_keyword']="Meklēt pēc atslēgvārda";
-$lang['ase_search_HD']=" Meklēt pēc HD attēla klātbūtnes";
 $lang['ase_search_tags']="Meklēt pēc iezīmēm";
 $lang['ase_choose_rate']="Meklēt pēc vērtējuma";
@@ -86,8 +83,5 @@
 $lang['ase_search_hd']="Meklēt HD attēlus";
 
-$lang['ase_the_picture_has_HD']="HD attēla klātbūtne";
 $lang['ase_the_picture']="Attēls";
-$lang['ase_picture_with_hd']="ir HD attēls";
-$lang['ase_picture_without_hd']="nav HD attēla";
 
 $lang['ase_the_rate']="Vērtēt";
Index: /extensions/ASearchEngine/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/ASearchEngine/language/tr_TR/plugin.lang.php	(revision 15359)
+++ /extensions/ASearchEngine/language/tr_TR/plugin.lang.php	(revision 15360)
@@ -10,5 +10,4 @@
 $lang['ASECategory']="Gelişmiş Arama Motoru - Kategoriler";
 $lang['ASEKeyword']="Gelişmiş Arama Motoru - Anahtar Kelime";
-$lang['ASEHD']="Gelişmiş Arama Motoru - HD Resimler";
 
 $lang['ase_search']='Ara';
@@ -23,5 +22,4 @@
 $lang['ase_add_date']="Bir zaman dilimi ekle";
 $lang['ase_add_keyword']="Bir anahtar kelime ekle";
-$lang['ase_add_HD']="Bir HD görüntü varlığı ekle";
 $lang['ase_add_rate']="Bir puan ekle";
 $lang['ase_add_tag']="Bir yada daha fazla etiket ekle";
@@ -31,5 +29,4 @@
 $lang['ase_choose_date']="Belirli bir süre aralığında arama";
 $lang['ase_search_keyword']="Bir anahtar kelimede arama";
-$lang['ase_search_HD']="Bir HD resim varlığında arama";
 $lang['ase_search_tags']="Etiketlerde arama";
 $lang['ase_choose_rate']="Puanlamada arama";
@@ -85,8 +82,5 @@
 $lang['ase_search_hd']="HD resimlerde arama";
 
-$lang['ase_the_picture_has_HD']="Bir HD resimde";
 $lang['ase_the_picture']="Resim";
-$lang['ase_picture_with_hd']="Bir HD resim mevcut";
-$lang['ase_picture_without_hd']="Bir HD resim mevcut değil";
 
 $lang['ase_the_rate']="Puan";
Index: /extensions/ASearchEngine/main.inc.php
===================================================================
--- /extensions/ASearchEngine/main.inc.php	(revision 15359)
+++ /extensions/ASearchEngine/main.inc.php	(revision 15360)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Advanced Search Engine
-Version: 1.1.0
+Version: 1.2.0
 Description: An advanced search engine
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=
@@ -44,8 +44,10 @@
 |         |            |   . optimization in css management
 |         |            |
-| 1.1.0   | 2011-04-26 | * mantis bug:2145
+| 1.1.0   | 2011-04-26 | * mantis feature:2145
 |         |            |   . Compatibility with Piwigo 2.2
 |         |            |
-|         |            |
+| 1.2.0   | 2012-05-25 | * mantis feature:2635
+|         |            |   . Compatibility with Piwigo 2.4
+|         |            |   . remove search on HD picture
 |         |            |
 |         |            |
Index: /extensions/ASearchEngine/templates/ase_dialog_category_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_category_choose.tpl	(revision 15359)
+++ /extensions/ASearchEngine/templates/ase_dialog_category_choose.tpl	(revision 15360)
@@ -1,6 +1,4 @@
-{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
-{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
-{combine_script id="gpc.categorySelector" path="plugins/GrumPluginClasses/js/ui.categorySelector.min.js" require='jquery'}
-
+{combine_script id="gpc.categorySelector" path="plugins/GrumPluginClasses/js/ui.categorySelector.js" require='jquery,jquery.ui'}
+{combine_css path="plugins/GrumPluginClasses/css/categorySelector.css"}
 
 {literal}
Index: /extensions/ASearchEngine/templates/ase_dialog_date_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_date_choose.tpl	(revision 15359)
+++ /extensions/ASearchEngine/templates/ase_dialog_date_choose.tpl	(revision 15360)
@@ -1,7 +1,5 @@
-{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
-{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
-{combine_script id="jquery.ui.datepicker" path="themes/default/js/ui/minified/jquery.ui.datepicker.min.js" require='jquery'}
-
-{assign var="datepicker_language" value="themes/default/js/ui/minified/i18n/jquery.ui.datepicker-"|@cat:$lang_info.code|@cat:".js"}
+{combine_script id="jquery.ui.datepicker" path="themes/default/js/ui/jquery.ui.datepicker.js" require='jquery,jquery.ui'}
+
+{assign var="datepicker_language" value="themes/default/js/ui/i18n/jquery.ui.datepicker-"|@cat:$lang_info.code|@cat:".js"}
 {if "PHPWG_ROOT_PATH"|@constant|@cat:$datepicker_language|@file_exists}
 {combine_script id="jquery.ui.datepicker-$lang_info.code" path=$datepicker_language}
Index: tensions/ASearchEngine/templates/ase_dialog_hd_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_hd_choose.tpl	(revision 15359)
+++ 	(revision )
@@ -1,252 +1,0 @@
-{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
-{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
-
-{literal}
-
-<script type="text/javascript">
-/**
- * include this template in a page and use dialogChooseASEHDBox.show({options}) to display
- * the dialog box
- *
- */
-dialogChooseASEHDBox = function()
-{
-  var dialogOptions = {
-      id:'',
-      eventOk:null,
-      cBuilder:null,
-
-      values: {
-        withHD:'y'
-      },
-    };
-
-  /**
-   * initialize the dialog box
-   */
-  var initDialogBox = function()
-  {
-    $("#iDialogASEHDChoose")
-    .dialog(
-      {
-        autoOpen: false,
-        resizable: false,
-        width:350,
-        height:100,
-        modal: true,
-        draggable:true,
-        dialogClass: 'gcBgTabSheet gcBorder',
-        title: '{/literal}{"ase_search_hd"|@translate}{literal}',
-        open: function(event, ui)
-        {
-        },
-        buttons:
-        {
-          '{/literal}{"ase_ok"|@translate}{literal}':
-            function()
-            {
-              if(checkValidity())
-              {
-                dialogOptions.values.withHD=$('[name=fASEHDWithHD]:checked').val();
-
-                if(dialogOptions.cBuilder!=null)
-                {
-                  setCBuilderItem(dialogOptions.id, dialogOptions.values);
-                }
-
-                if(dialogOptions.eventOk!=null)
-                {
-                  dialogOptions.eventOk(dialogOptions.id, dialogOptions.values);
-                }
-                $(this).dialog('close');
-              }
-            },
-          '{/literal}{"ase_cancel"|@translate}{literal}':
-            function()
-            {
-              $(this).dialog('close');
-            }
-        }
-      }
-    );
-  }
-
-  /**
-   * check the validity of the condition
-   * return Boolean : true if OK, otherwise false
-   */
-  var checkValidity = function ()
-  {
-    $(".error").removeClass('error');
-    returned=true;
-    return(returned);
-  }
-
-
-  /**
-   * the show() function display and manage a dialog box to choose categories
-   * and the kind of test to apply
-   *
-   * @param options : properties to manage the dialog box
-   *                  - id : a string to identify a DOM object ; this parameter
-   *                         is given to the callback when the OK button is pushed
-   *                  - values : an object with 3 properties
-   *                               - withHD : with our without HD picture
-   *                  - eventOK : a callback function, with 2 parameters : id of
-   *                              the given DOM object and values parameted
-   *                  - cBuilder : a criteriaBuilder object
-   *                               if set, the dialog box manage automaticaly
-   *                               the criteria builder interface
-   */
-  this.show = function (options)
-  {
-    showDialog(options);
-  }
-
-  /**
-   * private function used to show the dialog box
-   */
-  var showDialog = function(options)
-  {
-    if(options.id!=null)
-    {
-      dialogOptions.id=options.id;
-    }
-    else
-    {
-      dialogOptions.id='';
-    }
-
-    if(options.eventOk!=null)
-    {
-      dialogOptions.eventOk=options.eventOk;
-    }
-
-    if(options.cBuilder!=null)
-    {
-      dialogOptions.cBuilder=options.cBuilder;
-      dialogOptions.cBuilder.doAction('setOptions',
-        {
-          onEdit:function (e) { editCB(e.data); },
-          onDelete:function (e) { deleteCB(e.data); },
-        }
-      );
-    }
-
-    if(options.values!=null)
-    {
-      dialogOptions.values=jQuery.extend(dialogOptions.values, options.values);
-    }
-    else
-    {
-      dialogOptions.values.withHD='y';
-    }
-
-    $('#iASEHDWithHDY').attr('checked', dialogOptions.values.withHD=='y');
-    $('#iASEHDWithHDN').attr('checked', dialogOptions.values.withHD=='n');
-
-    $("#iDialogASEHDChoose").dialog('open');
-  }
-
-
-
-  /**
-   * manage the 'edit' button from criteria builder interface
-   * @param String itemId : the itemId
-   */
-  var editCB = function (itemId)
-  {
-    extraData=dialogOptions.cBuilder.doAction('getExtraData', itemId);
-    showDialog(
-      {
-        id:itemId,
-        values:
-          {
-            withHD:extraData.param.withHD,
-          },
-      }
-    );
-  }
-
-  /**
-   * manage the 'delete' button from criteria builder interface
-   * @param String itemId : the itemId
-   */
-  var deleteCB = function (itemId)
-  {
-    dialogOptions.cBuilder.doAction('delete', itemId);
-  }
-
-  /**
-   * set the content for the cBuilder item
-   */
-  var setCBuilderItem = function(id)
-  {
-    var content="<div>{/literal}{'ase_the_picture'|@translate}{literal}&nbsp;";
-
-    if(dialogOptions.values.withHD=='y')
-    {
-      content+="{/literal}{'ase_picture_with_hd'|@translate}{literal}";
-    }
-    else
-    {
-      content+="{/literal}{'ase_picture_without_hd'|@translate}{literal}";
-    }
-
-
-    content+="</div>";
-
-    if(id=='')
-    {
-      //no id:add a new item in the list
-      dialogOptions.cBuilder.doAction(
-        'add',
-        content,
-        criteriaBuilder.makeExtendedData(
-          'ASEHD',
-          {
-            withHD:dialogOptions.values.withHD,
-          }
-        )
-      );
-    }
-    else
-    {
-      // update item
-      dialogOptions.cBuilder.doAction(
-        'edit',
-        id,
-        content,
-        criteriaBuilder.makeExtendedData(
-          'ASEHD',
-          {
-            withHD:dialogOptions.values.withHD
-          }
-        )
-      );
-    }
-  }
-
-  initDialogBox();
-}
-
-
-</script>
-{/literal}
-
-<div id="iDialogASEHDChoose" style='display:none;'>
-
-  <table class="formtable">
-    <tr>
-      <td>{'ase_the_picture'|@translate}</td>
-      <td>
-        <label><input type="radio" id='iASEHDWithHDY' name="fASEHDWithHD" value='y'>&nbsp;{'ase_picture_with_hd'|@translate}<label><br>
-        <label><input type="radio" id='iASEHDWithHDN' name="fASEHDWithHD" value='n'>&nbsp;{'ase_picture_without_hd'|@translate}<label>
-      </td>
-    </tr>
-
-  </table>
-
-</div>
-
-
Index: /extensions/ASearchEngine/templates/ase_dialog_keyword_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_keyword_choose.tpl	(revision 15359)
+++ /extensions/ASearchEngine/templates/ase_dialog_keyword_choose.tpl	(revision 15360)
@@ -1,4 +1,2 @@
-{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
-{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
 
 {literal}
Index: /extensions/ASearchEngine/templates/ase_dialog_rate_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_rate_choose.tpl	(revision 15359)
+++ /extensions/ASearchEngine/templates/ase_dialog_rate_choose.tpl	(revision 15360)
@@ -1,4 +1,2 @@
-{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
-{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
 
 {literal}
@@ -59,5 +57,4 @@
                 {
                   case 'gt':
-                  case 'eq':
                     dialogOptions.values.maxValue='';
                     break;
@@ -108,5 +105,4 @@
         break;
       case 'gt':
-      case 'eq':
         $("#iASERateMinValueRow").show();
         $("#iASERateMaxValueRow").hide();
@@ -264,7 +260,4 @@
         content="<div>{/literal}{'ase_Dont_have_rate'|@translate}{literal} ";
         break;
-      case 'eq':
-        content+="{/literal}{'ase_is_equal2'|@translate}{literal} <span style='font-style:italic;'>"+dialogOptions.values.minValue+"</span>";
-        break;
       case 'bt':
         content+="{/literal}{'ase_is_between2'|@translate}{literal} <span style='font-style:italic;'>"+dialogOptions.values.minValue+"</span> {/literal}{'ase_is_between_and2'|@translate}{literal} <span style='font-style:italic;'>"+dialogOptions.values.maxValue+"</span>";
@@ -332,5 +325,4 @@
         <select id="iASERateSearchType">
           <option value="no">{'ase_dont_have_rate'|@translate}</option>
-          <option value="eq">{'ase_is_equal2'|@translate} ...</option>
           <option value="bt">{'ase_is_between2'|@translate} ... {'ase_is_between_and2'|@translate} ...</option>
           <option value="gt">{'ase_is_greater_or_equal2'|@translate} ... </option>
Index: /extensions/ASearchEngine/templates/ase_dialog_tag_choose.tpl
===================================================================
--- /extensions/ASearchEngine/templates/ase_dialog_tag_choose.tpl	(revision 15359)
+++ /extensions/ASearchEngine/templates/ase_dialog_tag_choose.tpl	(revision 15360)
@@ -1,5 +1,3 @@
-{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js" require='jquery'}
-{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js" require='jquery'}
-{combine_script id="gpc.tagSelector" path="plugins/GrumPluginClasses/js/ui.tagSelector.min.js" require='jquery'}
+{combine_script id="gpc.tagSelector" path="plugins/GrumPluginClasses/js/ui.tagSelector.js" require='jquery,jquery.ui'}
 
 {literal}
@@ -108,5 +106,5 @@
       $('#iBDTagTags').addClass('error');
       returned=false;
-      alert("{/literal}{'ase_error_no_tags_selected'|@translate}{literal}");
+      alert("{/literal}{'ase_error_no_tag_selected'|@translate}{literal}");
     }
     return(returned);
Index: /extensions/ASearchEngine/themes/Sylvia/ASESylvia.css
===================================================================
--- /extensions/ASearchEngine/themes/Sylvia/ASESylvia.css	(revision 15359)
+++ /extensions/ASearchEngine/themes/Sylvia/ASESylvia.css	(revision 15360)
@@ -28,4 +28,6 @@
 .ui-datepicker td:hover { background-color:#666666; }
 .ui-datepicker td.ui-datepicker-current-day { background-color:#222222; }
+
+
 .ui-category-selector-arrow { color:#FF3333; }
 li.ui-category-selector-item:hover, li.ui-tag-selector-list-item:hover { background-color:#303030; }
@@ -35,4 +37,5 @@
 li.ui-category-selector-item div.ui-category-selector-check { background-image:url(check_notchecked.png); }
 li.ui-category-selector-selected-item div.ui-category-selector-check { background-image:url(check_checked.png); }
+
 .ui-tag-selector-text {
   font-style:italic;
@@ -54,9 +57,64 @@
 }
 .iconEdit { background:url(edit.png) no-repeat 0 0 transparent; }
-.iconDelete { background:url(./../../../../themes/Sylvia/icon/delete.png) no-repeat 0 0 transparent; }
+.iconDelete { background:url(delete.png) no-repeat 0 0 transparent; }
 .iconMove { background:url(move.png) no-repeat 0 0 transparent; }
 .iconSwitchCondition  { background:url(switch.png) no-repeat 0 0 transparent; }
 .cbItemMultiple { border:1px solid #666666; }
 .cbItemOverGroup { border:1px dotted #666666; }
+
+
+
+
+
+
+.ui-category-selector,
+.ui-category-selector-list {
+  background-color:#444444;
+  border:1px solid #666666;
+  color:#999999;
+}
+
+li.ui-category-selector-item:hover {
+  background-color:#666666;
+}
+
+.ui-category-selector-selected-item {
+  background-color:#777777;
+}
+
+
+.ui-category-selector-name ul li.ui-category-selector-selected-cat {
+  background:#666666;
+  color:#999999;
+  margin-top:1px;
+  padding-top:1px;
+}
+
+.ui-error, input[type='text'].ui-error {
+  background:#ff8080;
+  border-color:#800000;
+  color:#800000;
+}
+
+.ui-category-selector-arrow {
+  background:none repeat scroll 0 0 #666666;
+  border-color:#999999 #444444 #444444 #999999;
+  color:#FF3363;
+}
+
+.ui-category-selector-arrow-active {
+  border-color:#444444 #999999 #999999 #444444;
+}
+
+
+.cSimpleTipContent {
+  background: none repeat scroll 0 0 #202020;
+  border: 2px solid #c0c0c0;
+  color: #c0c0c0;
+}
+.cSimpleTipArrow {
+  background-image:url(sTipArrows.png);
+}
+
 
 /* AMD specific CSS */
@@ -68,2 +126,4 @@
 
 
+
+
Index: /extensions/ASearchEngine/themes/clear/ASEclear.css
===================================================================
--- /extensions/ASearchEngine/themes/clear/ASEclear.css	(revision 15359)
+++ /extensions/ASearchEngine/themes/clear/ASEclear.css	(revision 15360)
@@ -24,9 +24,5 @@
   border:1px solid gray;
 }
-.ui-category-selector {
-  background-color:#D3D3D3;
-  color:#000000;
-  border-color:gray;
-}
+
 .ui-datepicker .ui-datepicker-header { background-color:#D3D3D3; }
 .ui-datepicker td:hover { background-color:#EEEEEE; }
@@ -56,10 +52,69 @@
   background:#EEEEEE;
 }
-.iconEdit { background:url(./../../../../themes/default/icon/edit.png) no-repeat 0 0 transparent; }
-.iconDelete { background:url(./../../../../themes/default/icon/delete.png) no-repeat 0 0 transparent; }
+.iconEdit { background:url(edit.png) no-repeat 0 0 transparent; }
+.iconDelete { background:url(delete.png) no-repeat 0 0 transparent; }
 .iconMove { background:url(move.png) no-repeat 0 0 transparent; }
 .iconSwitchCondition  { background:url(switch.png) no-repeat 0 0 transparent; }
 .cbItemMultiple { border:1px solid #999999; }
 .cbItemOverGroup { border:1px dotted #999999; }
+
+
+
+
+.ui-category-selector-arrow {
+  color:#005E89;
+}
+
+.ui-category-selector,
+.ui-category-selector-list {
+  background-color:#f5f5f5;
+  border:1px solid #999999;
+  color:#000000;
+}
+
+li.ui-category-selector-item:hover {
+  background-color:#AAAAAA;
+  color:#DDDDDD;
+}
+
+.ui-category-selector-selected-item {
+  background-color:#999999;
+  color:#DDDDDD;
+}
+
+
+/* --- */
+.ui-category-selector-name ul li.ui-category-selector-selected-cat {
+  background:#d3d3d3;
+  color:#000000;
+  margin-top:1px;
+  padding-top:1px;
+}
+
+.ui-error, input[type='text'].ui-error {
+  background:#ff8080;
+  border-color:#800000;
+  color:#800000;
+}
+
+.ui-category-selector-arrow {
+  background:none repeat scroll 0 0 #999999;
+  border-color:#DDDDDD #666666 #666666 #DDDDDD;
+  color:#005E89;
+}
+
+.ui-category-selector-arrow-active {
+  border-color:#666666 #DDDDDD #DDDDDD #666666;
+}
+
+
+.cSimpleTipContent {
+  background: none repeat scroll 0 0 #202020;
+  border: 2px solid #c0c0c0;
+  color: #c0c0c0;
+}
+.cSimpleTipArrow {
+  background-image:url(sTipArrows.png);
+}
 
 /* AMD specific CSS */
Index: /extensions/ASearchEngine/themes/dark/ASEdark.css
===================================================================
--- /extensions/ASearchEngine/themes/dark/ASEdark.css	(revision 15359)
+++ /extensions/ASearchEngine/themes/dark/ASEdark.css	(revision 15360)
@@ -23,9 +23,4 @@
   color:#000000;
   border:1px solid gray;
-}
-.ui-category-selector {
-  background-color:#D3D3D3;
-  color:#000000;
-  border-color:gray;
 }
 .ui-datepicker td a { color:#000000; }
@@ -60,6 +55,6 @@
   background:#D3D3D3;
 }
-.iconEdit { background:url(./../../../../themes/default/icon/edit.png) no-repeat 0 0 transparent; }
-.iconDelete { background:url(./../../../../themes/default/icon/delete.png) no-repeat 0 0 transparent; }
+.iconEdit { background:url(edit.png) no-repeat 0 0 transparent; }
+.iconDelete { background:url(delete.png) no-repeat 0 0 transparent; }
 .iconMove { background:url(move.png) no-repeat 0 0 transparent; }
 .iconSwitchCondition  { background:url(switch.png) no-repeat 0 0 transparent; }
@@ -82,4 +77,62 @@
 div#iMenuCriterions div#iMenuCItems { margin-left:-1px; }
 
+
+
+.ui-category-selector-arrow {
+  color:#005E89;
+}
+
+.ui-category-selector,
+.ui-category-selector-list {
+  background-color:#f5f5f5;
+  border:1px solid gray;
+  color:#000000;
+}
+
+li.ui-category-selector-item:hover {
+  background-color:#AAAAAA;
+  color:#DDDDDD;
+}
+
+.ui-category-selector-selected-item {
+  background-color:#999999;
+  color:#DDDDDD;
+}
+
+
+/* --- */
+.ui-category-selector-name ul li.ui-category-selector-selected-cat {
+  background:#d3d3d3;
+  color:#000000;
+  margin-top:1px;
+  padding-top:1px;
+}
+
+.ui-error, input[type='text'].ui-error {
+  background:#ff8080;
+  border-color:#800000;
+  color:#800000;
+}
+
+.ui-category-selector-arrow {
+  background:none repeat scroll 0 0 #999999;
+  border-color:#DDDDDD #666666 #666666 #DDDDDD;
+  color:#005E89;
+}
+
+.ui-category-selector-arrow-active {
+  border-color:#666666 #DDDDDD #DDDDDD #666666;
+}
+
+.cSimpleTipContent {
+  background: none repeat scroll 0 0 #202020;
+  border: 2px solid #c0c0c0;
+  color: #c0c0c0;
+}
+.cSimpleTipArrow {
+  background-image:url(sTipArrows.png);
+}
+
+
 /* AMD specific CSS */
 span.tagName { border-right:1px dotted gray; }
Index: /extensions/ASearchEngine/themes/elegant/ASEelegant.css
===================================================================
--- /extensions/ASearchEngine/themes/elegant/ASEelegant.css	(revision 15360)
+++ /extensions/ASearchEngine/themes/elegant/ASEelegant.css	(revision 15360)
@@ -0,0 +1,150 @@
+
+/* ---- Themes colors ---- */
+.gcText { color: #cccccc; }                 /* used for text */
+.gcText3 { color: #cccccc; }                 /* used for text */
+.gcTextInput { color:#cccccc; }             /* used for inputs */
+.gcLink { color: #cccccc; }                 /* used for link */
+.gcLinkHover { color: #ffffff; }            /* used for link */
+.gcBgTabSheet { background-color: #222222; }           /* used inside tabsheet & menu */
+.gcBgTableRow1 { background-color: #EEEEEE; }            /* used in for tables rows background */
+.gcBgTableRow2 { background-color: #505050; }            /* used in tables rows & some widgets background */
+.gcBgInput { background-color:#555555; }                      /* used for inputs */
+.gcBorder    { border: 1px solid #666666; }            /* used for borders */
+.gcBorder2   { border: 1px solid #666666; }            /* used for widgets borders */
+.gcBorderInput { border: #666666; }           /* used for inputs */
+.cPnDisabled { cursor:default; color:#666666; }
+.pnInactive:hover { background:#666666; color:#cccccc; }
+.pnActive { background:#222222; color:#cccccc; font-weight:bold; }
+div.cbOperatorBg { background:#666666; color:#cccccc; }
+.ui-dialog { border:3px solid #666666; }
+.ui-dialog-titlebar { border-color:#666666; }
+.ui-datepicker, .ui-category-selector-list,
+.ui-tag-selector-list, .ui-tag-selector-input {
+  background-color:#555555;
+  color:#cccccc;
+  border:1px solid #666666;
+}
+.ui-datepicker td a { color:#cccccc; }
+.ui-datepicker .ui-datepicker-header { background-color:#222222; }
+.ui-datepicker td:hover { background-color:#666666; color:cccccc; }
+.ui-datepicker td.ui-datepicker-current-day { background-color:#222222; color:#cccccc; }
+.ui-category-selector-arrow { color:#000000; }
+li.ui-category-selector-item:hover, li.ui-tag-selector-list-item:hover  { background-color:#666666; color:#cccccc; }
+.ui-category-selector-selected-item { background-color:#505050; color:#fff48e; }
+.ui-category-selector-expandable-item { background-image:url(expand_b.png); }
+.ui-category-selector-collapsable-item { background-image:url(collapse_b.png); }
+.ui-category-selector-expandable-item:hover, .ui-category-selector-selected-item.ui-category-selector-expandable-item { background-image:url(expand.png); }
+.ui-category-selector-collapsable-item:hover, .ui-category-selector-selected-item.ui-category-selector-collapsable-item { background-image:url(collapse.png); }
+li.ui-category-selector-item div.ui-category-selector-check { background-image:url(check_notchecked.png); }
+li.ui-category-selector-selected-item div.ui-category-selector-check { background-image:url(check_checked.png); }
+
+.ui-tag-selector-text {
+  font-style:italic;
+  font-size:80%;
+  border-top:1px dotted #666666;
+  background:#555555;
+  color:#cccccc;
+}
+.ui-tag-selector-selected-tag-list li.ui-tag-selector-selected-tag {
+  background:#222222;
+  margin-top:1px;
+  padding-top:1px;
+}
+.ui-tag-selector-highlight {
+  color:#000000;
+  font-weight:bold;
+  background:#D3D3D3;
+}
+.iconEdit { background:url(edit.png) no-repeat 0 0 transparent; }
+.iconDelete { background:url(delete.png) no-repeat 0 0 transparent; }
+.iconMove { background:url(move.png) no-repeat 0 0 transparent; }
+.iconSwitchCondition  { background:url(switch.png) no-repeat 0 0 transparent; }
+.cbItemMultiple { border:1px solid #666666; }
+.cbItemOverGroup { border:1px dotted #666666; }
+
+.cbButtons { color:#cccccc; border:1px solid #666666; z-index:510; }
+.cbButtons:hover { border-color:#555555; }
+.cbItem { border:1px solid #666666; }
+.gcBgInput a { color:#cccccc; }
+.gcBgInput a:hover { color:#ffffff; }
+.gcBgPage {background:#111111;}
+.cbButtons:hover #iMenuCText { background:#555555;}
+#iMenuCItems ul { border:1px solid #555555; }
+
+#iResultQuery div.gcBgInput { border:1px solid #666666; }
+#iMenuCaddie a { color:#cccccc; }
+#iMenuCaddie a:hover { color:#ffffff; }
+#iResultQuery div.gcBgInput #iMenuCaddieText { border:none; color:#cccccc; }
+
+legend { color: #aaaaaa; }
+
+div#iMenuCaddieBar div#iMenuCaddieItems { z-index:1000; }
+div#iMenuCriterions div#iMenuCItems { margin-left:-1px; }
+
+
+
+.ui-category-selector-arrow {
+  color:#005E89;
+}
+
+.ui-category-selector,
+.ui-category-selector-list {
+  background-color:#555555;
+  border:1px solid #666666;
+  color:#cccccc;
+}
+
+li.ui-category-selector-item:hover {
+  background-color:#666666;
+  color:#DDDDDD;
+}
+
+.ui-category-selector-selected-item {
+  background-color:#555555;
+  color:#cccccc;
+}
+
+
+/* --- */
+.ui-category-selector-name ul li.ui-category-selector-selected-cat {
+  background:#222222;
+  color:#cccccc;
+  margin-top:1px;
+  padding-top:1px;
+}
+
+.ui-error, input[type='text'].ui-error {
+  background:#ff8080;
+  border-color:#800000;
+  color:#800000;
+}
+
+.ui-category-selector-arrow {
+  background:none repeat scroll 0 0 #999999;
+  border-color:#DDDDDD #666666 #666666 #DDDDDD;
+  color:#ffffff;
+}
+
+.ui-category-selector-arrow-active {
+  border-color:#666666 #DDDDDD #DDDDDD #666666;
+}
+
+.cSimpleTipContent {
+  background: none repeat scroll 0 0 #202020;
+  border: 2px solid #c0c0c0;
+  color: #c0c0c0;
+}
+.cSimpleTipArrow {
+  background-image:url(sTipArrows.png);
+}
+
+
+/* AMD specific CSS */
+span.tagName { border-right:1px dotted gray; }
+#iTagList:hover { background:#555555; }
+div ul#iTagList li:hover { cursor:pointer; background:#666666; color:#cccccc; }
+#iTagList.selected, #iTagList li.gcText3 { background:#555555; color:#cccccc; }
+.ruleTypeM, .ruleTypeM2 { border:1px solid #666666; }
+.error, input.error { background:#FFAAAA; border:1px solid #800000; color:#800000; }
+
+
Index: /extensions/ASearchEngine/themes/elegant/index.php
===================================================================
--- /extensions/ASearchEngine/themes/elegant/index.php	(revision 15360)
+++ /extensions/ASearchEngine/themes/elegant/index.php	(revision 15360)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
